Bug 32689 - Host item entry (773) missing a space between label and content when $i is used
Summary: Host item entry (773) missing a space between label and content when $i is used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: Main
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 16522
Blocks:
  Show dependency treegraph
 
Reported: 2023-01-20 15:44 UTC by Katrin Fischer
Modified: 2024-07-04 20:37 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Bug 32689: Add missing space between 773$i label text and content (3.26 KB, patch)
2023-01-20 15:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32689: Add missing space between 773$i label text and content (3.30 KB, patch)
2023-01-20 17:52 UTC, David Nind
Details | Diff | Splinter Review
Bug 32689: Add missing space between 773$i label text and content (3.37 KB, patch)
2023-01-31 13:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2023-01-20 15:44:22 UTC
This problem appears with and without bug 16522, but since bug 16522 centralizes the template for displaying 773 information, I'll mark this is a dependency.

To test:
* Update default framework to display 773 a t w i by default in the editor, OPAC and staff.
* Search for a record in the staff interface
* Click New > Add child record from the detail page
* Enter 245 and any mandatory fields
* Add $i to 773 entry and make the indicators: 0 8
* On the detail page, the $i will be used a label, but there'll be no space between label and content.
Comment 1 Katrin Fischer 2023-01-20 15:58:42 UTC
Created attachment 145532 [details] [review]
Bug 32689: Add missing space between 773$i label text and content

When 777 Ind. 2 = 8, $i will be used as the label. In this case,
we were missing a space between the $i and the other subfields.
This patch makes sure there is a space.

Note: the colon is expected to be part of the data here.

To test:
* Update default framework to display 773 a t w i by default in the editor,
  OPAC and staff interface.
* Search for a record in the staff interface
* Click New > Add child record from the detail page
* Enter 245 and any mandatory fields
* Add $i to 773 entry and make the indicators: 0 8
* On the detail page and the result lists,
  $i will be used a label, but there'll be no space between
  label and content.
Comment 2 David Nind 2023-01-20 17:52:33 UTC
Created attachment 145547 [details] [review]
Bug 32689: Add missing space between 773$i label text and content

When 777 Ind. 2 = 8, $i will be used as the label. In this case,
we were missing a space between the $i and the other subfields.
This patch makes sure there is a space.

Note: the colon is expected to be part of the data here.

To test:
* Update default framework to display 773 a t w i by default in the editor,
  OPAC and staff interface.
* Search for a record in the staff interface
* Click New > Add child record from the detail page
* Enter 245 and any mandatory fields
* Add $i to 773 entry and make the indicators: 0 8
* On the detail page and the result lists,
  $i will be used a label, but there'll be no space between
  label and content.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2023-01-20 19:35:13 UTC
Thx, David!
Comment 4 Martin Renvoize 2023-01-31 13:18:20 UTC
Created attachment 145867 [details] [review]
Bug 32689: Add missing space between 773$i label text and content

When 777 Ind. 2 = 8, $i will be used as the label. In this case,
we were missing a space between the $i and the other subfields.
This patch makes sure there is a space.

Note: the colon is expected to be part of the data here.

To test:
* Update default framework to display 773 a t w i by default in the editor,
  OPAC and staff interface.
* Search for a record in the staff interface
* Click New > Add child record from the detail page
* Enter 245 and any mandatory fields
* Add $i to 773 entry and make the indicators: 0 8
* On the detail page and the result lists,
  $i will be used a label, but there'll be no space between
  label and content.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2023-01-31 13:18:42 UTC
All the little things really add up, thanks Katrin.

Passing QA
Comment 6 Tomás Cohen Arazi 2023-01-31 13:48:47 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 7 Jacob O'Mara 2023-01-31 18:11:39 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.